import '../styles/global.css';
import type { AppProps } from 'next/app';
import Head from 'next/head';
import Header from '../components/Header';
import styles from './_app.module.css';

function MyApp({ Component, pageProps }: AppProps) {
    return (
        <div className={styles.appContainer}>
            <Head>
                <title>Note Keeper</title>
                <meta
                    name="description"
                    content="Generated by create next app"
                />
                <link rel="icon" href="/favicon.ico" />
            </Head>

            <Header />

            <div className={styles.pageContainer}>
                <Component {...pageProps} />
            </div>
        </div>
    );
}

export default MyApp;
